import { Component } from '@angular/core';
import { ViewEncapsulation } from '@angular/core';
import { Http } from '@angular/http';
import { Response } from '@angular/http';

declare var Stimulsoft: any;

@Component({
  selector: 'app-root',
  template: `<div>
                  <h2>Stimulsoft Reports.JS Viewer</h2>
                  <div id="viewer"></div>
              </div>`,
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  viewer: any = new Stimulsoft.Viewer.StiViewer(null, 'StiViewer', false);
  report: any = new Stimulsoft.Report.StiReport();
  
ngOnInit() {
    console.log('Loading Viewer view');

    this.report.loadFile("reports/Report.mrt");
    this.viewer.report = this.report;
    this.viewer.renderHtml('viewer');
  }

  constructor(private http: Http) {
    
  }
}
